
/* Site Banner Styles */ 
.site-banner {
    position: fixed;
    bottom: 16px;
    height: auto;
    z-index: 999;
    background: #001e39;
    color: #fff;
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0) 0px 0px 0px 0px, rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
    border-radius: 1.875rem;
    max-width: 800px;
    transition: opacity 0.3s ease, transform 0.3s ease;


    @media (min-width: 992px) {
       left: 16px;
    }
}

.site-banner--hidden {
    opacity: 0;
    pointer-events: none;
    transform: translateY(100%);
}


.dark-mode .site-banner {
    background: #fff;
    color: #586483;
}

.site-banner .container {
    display: flex;
    padding: 2rem;
    flex-direction: column;
    gap: 16px;
}

.site-banner__image img {
    object-fit: cover;
    width: 100%;
    height: auto;
    max-height: 250px;
     border-radius: 1.275rem;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.site-banner__content .banner__headline {
    font-family: "Poppins",sans-serif;
    font-size: 1.25rem;
    font-weight: 500;
    line-height: 140%;
    letter-spacing: -0.0625rem;
}

.site-banner__meta {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    font-size: 0.95rem;
}

.site-banner__meta .meta__item {
    display: flex;
    flex-direction: column;
}

.site-banner__content .button-container {
    padding-top: 16px;
}

.site-banner__close {
    position: absolute;
    z-index: 1;
    top: 16px;
    right: 16px;    
    transition: opacity .3s ease-in-out,transform .3s ease-in-out;
    display: flex;
    width: 3rem;
    height: 3rem;
    padding: 0.5rem 1.5rem;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    border-radius: 7.5rem;
    background: #fdfdfd; 
    cursor: pointer;
}

.site-banner__close svg {
    flex-shrink: 0;
    color: #586483;
}

.site-banner__close:hover {
    transform: rotate(0.25turn);
}

